POST
https://api.examplary.ai/exams/{id}/sessions/{sessionId}/feedbackSet teacher feedback and/or a grade for a specific question in an exam session.
Path parameters
idstringrequired
sessionIdstringrequired
Request body
questionstring· pattern: ^q_.*required
Question ID to provide feedback for
pointsAwardednumber· >= 0
Points to award for the answer
scoringCriteriaarray object[]
Points awarded per scoring criterion
feedbackstring
Optional teacher feedback for the answer
Responses
400 — Validation Error
successbooleanrequired
Allowed values:false
errorarray any[]required
dataanyrequired
Requirements
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the exams:write scope to be present.